#
# spec file for package icewm-themes (Version 0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           icewm-themes
License:        LGPL-2.1+
Group:          System/GUI/Other
Requires:       icewm
AutoReqProv:    on
BuildArch:      noarch
Version:        0.1
Release:        687.2
Source:         icewm-themes.tar.bz2
Url:            http://icewm.themes.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Themes for the IceWM Window Manager

%description
This package contains a collection of themes for the popular IceWM
window manager. Most of them have been taken from the original 0.9.42
themes package. Others have been taken from http://icewm.themes.org.



Authors:
--------
    Becca <christer.backstrom@oreline.net>
    CW Zuckschwerdt <zany@triq.net>
    David Mortensen <saintchoj@myrealbox.com>
    Josef 'Jupp' Schugt <jupp@gmx.de>
    Marko Macek <Marko.Macek@gmx.net>
    Oleastre <osamyn@ulb.ac.be>
    Pal Palocz <palocz.pal@mail.deltav.hu>
    Pavel Roskin <pavel_roskin@geocities.com>
    TigerT <tigert@tigert.org>
    Vladi Belperchinov-Shabanski <cade@biscom.net>
    Volker Weinert <rone@tzi.org>
    William Wieboldt <waw@iname.com>
    dwl <dwl@wolsi.com>
    isutt <isuttonl@zipmail.com.br>
    johannes <johannes@defcom.se>

%define ICEWMDIR /usr/share/icewm

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{ICEWMDIR}
tar jxvf %{SOURCE0} -C $RPM_BUILD_ROOT%{ICEWMDIR} 
find $RPM_BUILD_ROOT%{ICEWMDIR} -type f -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{ICEWMDIR} -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{ICEWMDIR} -type f -name "*~" | xargs -r rm -v

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir %{ICEWMDIR}
%{ICEWMDIR}/themes

%changelog
* Wed Sep  6 2006 pnemec@suse.cz
- fixed install path [#203491]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov  3 2005 pnemec@suse.cz
- removing Adept [#131751]
- ading several themes
* Mon Mar 22 2004 ro@suse.de
- removed *~ backup files
* Tue Feb 24 2004 hmacht@suse.de
- building as non-root
* Wed Jun 18 2003 coolo@suse.de
- package directories
* Mon Mar  3 2003 nadvornik@suse.cz
- fixed icewm themes path [#24442]
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Mar  8 2002 nadvornik@suse.cz
- fixed file permissions
* Mon Feb 11 2002 ro@suse.de
- tar option for bz2 is "j"
* Mon Jan  8 2001 grimmer@suse.de
- corrected Copyright to LGPL (same as IceWM)
* Tue Dec 19 2000 grimmer@suse.de
- new package (derived from package "icewm")
- added some new themes from http://icewm.themes.org
- created a single bzipped tarball
